-- more magic

local t = 0

function main()
  current_sprite.nodraw = true

  while true do
    current_sprite:say('`' .. math.random(9) .. 'Welcome to DinkLua!')
    current_sprite.x = 3 * math.floor(math.deg(math.cos(t)) + 2.5) + 300
    t = t + 0.2
    dink.wait(40)
  end
end
